<!-- 我的 my-->
<template>
    <div class="main_box">
        <div class="header">
            <div class="flex flex-m mb10 pt20 ">
                <div @click="goUserInfo" class="nickname oneShow">{{userinfo.nickname | nickname }}</div>
                <div class="level">{{userinfo.level | BaseData('member','member_level')|vip}}</div>
                <div class="flex-1"></div>
                <MySign class="fr "/>
                <!-- <van-image @click.native="goUserInfo" round class="bgfff avatar" width="1.3rem" height="1.3rem" fit="cover" :src="userinfo.avatar | avatar" /> -->
            </div>

        </div>


        <div class="flex flex-m yuer mb10" @click="$router.push('/balance')">
            <div class="flex-1">余额</div>
            <div>{{userinfo.credit1}}</div>
            <van-icon class="ml5" name="arrow"/>
        </div>

<!--        <div class="menu-bar">-->
<!--            <van-grid :column-num="4" :border="false">-->
<!--                <van-grid-item @click="$router.push('/order?status=0')">-->
<!--                    <img class="icon-img" slot="icon" src="@/assets/img/img/pay_icon.png"/>-->
<!--                    <div slot="text" class="menu-label">待付款</div>-->
<!--                </van-grid-item>-->
<!--                <van-grid-item @click="$router.push('/order?status=1')">-->
<!--                    <img class="icon-img" slot="icon" src="@/assets/img/img/delivery_icon.png"/>-->
<!--                    <div slot="text" class="menu-label">待发货</div>-->
<!--                </van-grid-item>-->
<!--                <van-grid-item @click="$router.push('/order?status=2')">-->
<!--                    <img class="icon-img" slot="icon" src="@/assets/img/img/goods_icon.png"/>-->
<!--                    <div slot="text" class="menu-label">待收货</div>-->
<!--                </van-grid-item>-->
<!--                <van-grid-item @click="handleRefund">-->
<!--                    <img class="icon-img" slot="icon" src="@/assets/img/img/exchange_icon.png"/>-->
<!--                    <div slot="text" class="menu-label">退换货</div>-->
<!--                </van-grid-item>-->
<!--            </van-grid>-->
<!--        </div>-->

        <div class="mt10 my-cell">
            <!-- 系统公告  -->
            <van-cell title="邀请好友" @click="goRouter('/qrcode')" is-link/>
            <van-cell :border="false" :title="$t('sys_info')" @click="goRouter('/sys_info')" is-link/>
<!--            <van-cell :border="false" title="我的订单" @click="goRouter('/order')" is-link/>-->
<!--            <van-cell :border="false" title="购物车" @click="goRouter('/index/car')" is-link/>-->

<!--            <van-cell :border="false" title="牡丹专区券" @click="goRouter('/index/credit4')" is-link/>-->

<!--            <van-cell :border="false" title="商城券转换" @click="goRouter('/index/pinpai/exchange')" is-link-->
<!--                      v-if="credit1_enabled"/>-->
<!--            <van-cell :border="false" title="品牌券明细" @click="goRouter('/index/pinpai')" is-link v-if="credit1_enabled"/>-->
<!--            <van-cell :border="false" title="专区券明细" @click="goRouter('/voucherList')" is-link v-if="credit1_enabled"/>-->
<!--            <van-cell :border="false" title="专区券充值" @click="goRouter('/recharge')" is-link v-if="credit1_enabled"/>-->
<!--            <van-cell :border="false" title="充值记录" @click="goRouter('/rechargeList')" is-link v-if="credit1_enabled"/>-->

<!--            <van-cell :border="false" title="收货地址" @click="goRouter('/address')" is-link/>-->
<!--            <van-cell v-if="show_check_version == 1" :border="false" title="检测更新" @click="checkAppVersion()" is-link/>-->
<!--            &lt;!&ndash; <van-cell :border="false" title="充值话费"  @click="appGo('phone_charge')" is-link />-->
<!--            <van-cell :border="false" title="设置"  @click="appGo('setting')" is-link />-->
<!--            <van-cell :border="false" title="我的钱包"  @click="appGo('my_wallet')" is-link />-->
<!--            <van-cell :border="false" title="签到"  @click="appGo('sign')" is-link />-->
<!--            <van-cell :border="false" title="银行"  @click="appGo('bank')" is-link /> &ndash;&gt;-->
<!--            <van-cell :border="false" title="关于我们" @click="goRouter('/about')" is-link/>-->


            <van-cell :border="false" @click="logout" :title="$t('sign_out')"/>
        </div>
    </div>
</template>

<script>
    let that
    import MySign from './MySign'
    import * as sdk from '@/utils/sdk.js'

    export default {
        name: 'my',


        data() {
            return {
                site_info: {},
                credit1_enabled: true,
                version_h5: sessionStorage.vvv,
                show_check_version: 0
            }
        },
        components: {MySign},
        beforeRouteLeave(to, from, next) {
            to.meta.keepAlive = 0
            next();
        },
        created() {
            that = this
            this.veriLogin()
        },

        activated() {
            this.site_info = JSON.parse(sessionStorage.site_info)
            if (!sessionStorage.userInfo) {
                this.m_loading()
            }
            this.getUserinfo().then(res => {
                this.m_hideLoading()
            })


        },
        filters: {
            pay_password(v) {
                if (v == 1) {
                    return that.$t('has_set')
                } else {
                    return that.$t('no_set')
                }
            },
            vip(v) {
                return v
                //  if(!v){return ''}
                //  return v.replace(/vip/gi,'')
            },

            nickname(v) {
                if (!v) {
                    return '未设置'
                }
                return v
            },


        },
        mounted() {
            console.log(this.credit1_enabled);
            console.log('mounted');
            let that = this;
            this.getUserinfo().then(function (res) {
                console.log(res.data.credit1_enabled);
                that.credit1_enabled = res.data.credit1_enabled;
            });
            console.log(that.credit1_enabled);
            this.show_check_version = sessionStorage.show_check_version
            console.log('this.show_check_version');
            console.log(this.show_check_version);
        },
        methods: {
            checkAppVersion() {
                BridgeSDK.getAppVersion(function (res) {
                    console.log(res);
                })
            },
            goUserInfo() {
                this.$router.push('/userInfo')
            },

            logout() {
                sdk.logout(() => {
                    sessionStorage.clear()

                    localStorage.token = ''
                    localStorage.expire = 0
                    sessionStorage.isGo = 1
                    this.$store.dispatch('setUserInfo', {})

                })
            },

            appGo(type) {
                console.log(type)
                var options = {
                    type
                };
                BridgeSDK.goToWebPage(options);
            },


            goWithdraw() {
                if (this.userinfo.bank_auth) {
                    this.$router.push('/withdraw')
                } else {
                    this.m_toast('请先绑定银行卡')
                }

            },

            //isVrti  1 需要验证
            goRouter(path) {
                this.$router.push(path)
            },


            handelCopy() {
                let url = this.userinfo.pocket_url
                if (!url) {
                    return
                }
                console.log(url)
                copy(url, () => {
                    this.m_toast('复制成功')
                })
            },

            handleRefund() {
                this.$router.push('/refundList')
            }


        },


    }

</script>
<style lang='scss' scoped>
    .main_box {
        padding-bottom: 0.5rem !important;
        padding-left: 0.3rem;
        padding-right: 0.3rem;

    }

    .header {
        .nickname {
            font-size: 0.5rem;
            font-weight: bold;
            max-width: 3.5rem;

        }

        .level {
            min-width: 0.76rem;
            height: 0.32rem;
            line-height: 0.32rem;
            font-size: 0.24rem;
            background: url('../../assets/img/img/vip.png') no-repeat;
            background-size: 100% 100%;
            padding-left: 0.42rem;
            box-sizing: border-box;
            margin-left: 0.2rem;
            padding-right: 0.2rem;

        }
    }

    .menu-label {
        font-size: 0.28rem;
        margin-top: 0.15rem;
        font-weight: bold;
    }

    .yuer {
        width: 100%;
        height: 1.02rem;
        background: url('../../assets/img/img/money_bac.png') no-repeat;
        background-size: 100% 100%;
        font-size: 0.32rem;
        color: #fff;
        padding: 0 0.3rem;
        box-sizing: border-box;
    }

    .icon-img {
        width: 0.46rem;
        height: 0.4rem;
    }
</style>

<style lang='scss'>
    .menu-bar {
        .van-grid-item__icon {
            font-size: 0.45rem !important;
            color: #aaa;
        }
    }

    .my-cell {
        .van-cell {
            height: 1.1rem;
            align-items: center;
            margin-bottom: 0.15rem;
            color: #333 !important;
            font-size: 0.3rem;


        }
    }
</style>
